#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  LimeGreen
#property indicator_color2  Maroon
#property indicator_color3  Red
#property indicator_width1  2
#property indicator_width2  2
#property indicator_width3  2
#property indicator_maximum 1
#property indicator_minimum 0

extern double distance1 = 90;
extern double distance2 = 100;

double buff1[];
double buff2[];
double buff3[];

int init()   
{ 
   SetIndexBuffer(0,buff1); SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(1,buff2); SetIndexStyle(1,DRAW_HISTOGRAM);
   SetIndexBuffer(2,buff3); SetIndexStyle(2,DRAW_HISTOGRAM);
   return(0); 
}
int deinit() { return(0); }
void start(void)
{    
   int counted_bars=IndicatorCounted();
      if(counted_bars<0) return;
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         double pipMul = MathPow(10,_Digits%2);

   //
   //
   //
   //
   //
   
   for(int i=limit; i>=0; i--)
   {
      buff1[i] = EMPTY_VALUE;
      buff2[i] = EMPTY_VALUE;
      buff3[i] = EMPTY_VALUE;
      double diff = MathAbs((Close[i]-iOpen(NULL,PERIOD_D1,iBarShift(NULL,PERIOD_D1,Time[i])))/(_Point*pipMul));
         Comment(diff);
         if (diff>distance2) { buff3[i] = 1; continue; }
         if (diff>distance1) { buff2[i] = 1; continue; }
                               buff1[i] = 1;
   }                               
   return;
}